// COMMAND MAP
levelshots/etl_supply_v5_cc_automap
{
        nopicmip
        nocompress
        nomipmaps
        {
                clampmap levelshots/etl_supply_v5_cc.tga
                depthFunc equal
                rgbGen identity
        }
}

levelshots/etl_supply_v5_cc_trans
        {
        nopicmip
        nocompress
        nomipmaps
        {
                clampmap levelshots/etl_supply_v5_cc.tga
                blendfunc blend
                rgbGen identity
                alphaGen vertex
        }
}


// SKY
textures/etl_supply/sky
{
	qer_editorimage textures/editor/blue1.tga
	// q3map_lightimage textures/skies_sd/siwa_clouds.tga
	
	// nocompress
	q3map_sunExt 0.75 0.70 0.6 140 199 49 1 16
	q3map_skylight 40 5
	sunshader textures/skies_sd/siwasunbright
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	{
		fog off
		clampmap textures/skies_sd/siwa_mask.tga
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}


textures/etl_supply/_grass
{
	qer_editorimage textures/temperate_sd/grass_dense1.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm grasssteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/grass_dense1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_road
{
	qer_editorimage textures/temperate_sd/dirt_m03icmp_brown.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	// q3map_tcMod scale .5 .5
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/temperate_sd/dirt_m03icmp_brown.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale .5 .5
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_cave_grass
{
	qer_editorimage textures/stone/mxrock4c.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/stone/mxrock4c.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_cave
{
	qer_editorimage textures/stone/mxrock4c.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/stone/mxrock4c.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/rocky_sand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_rock
{
	qer_editorimage textures/eltz/misc/q_caverock.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/eltz/misc/q_caverock.tga
		// tcMod scale .5 .5
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_rock_sand
{
	qer_editorimage textures/eltz/misc/q_caverock.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/eltz/misc/q_caverock.tga
		// tcMod scale .5 .5
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/rocky_sand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_mountain
{
	qer_editorimage textures/stone/mxrock2.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm grasssteps
	{
		// Primary 1
		map textures/stone/mxrock2.tga
		rgbGen identity
		// tcMod scale .5 .5
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/rock_autoclip
{
	qer_editorimage models/mapobjects/rocks_sd/rock_temperate2_big.tga
	implicitMap models/mapobjects/rocks_sd/rock_temperate2_big.tga
	q3map_clipModel
}